* {
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    box-sizing: border-box;  
    font-family: 'Poppins', sans-serif;
    font-weight: 300;
}

body {
    margin: 0px;
    padding: 0px;
    height: 100%;
    width: 100%;
    overflow: hidden;
}

html {
    margin: 0px;
    padding: 0px;
    height: 100%;
    width: 100%;
}

#section-input {
    height: 100%;
    width: 100%;
    background-color: #181a1c;
    float: left;
    transition: all 1s;
    display: flex;
    justify-content: center;
    align-items: center;
    padding-left: 20px;
    padding-right: 20px;
}


#section-output {
    height: 0px;
    width: 0%;
    background-color: white;
    float: left;
    transition: all 1s;
    display: flex;
    justify-content: center;
    align-items: center;
}

#section-output.opened {
    height: 100%
}

.container {
    width: 450px;
}

h1 {
    color: white;
    font-size: 20px;
    margin-bottom: 25px;
    margin-top: 0px;
    font-weight: 600;
}

h1 span.divider {
    opacity: 0.1;
    display: inline-block;
    margin-left: 5px;
    margin-right: 5px;
}

h1 span:not(.divider) {
    opacity: 0.5;
}

#qr img {
    max-width: 100%;
    transition: all 1s;
    opacity: 0;
}

input {
    display: block;
    width: 100%;
    margin-bottom: 15px;
    background-color: transparent;
    border: 1px solid #ffffff52;
    border-radius: 5px;
    padding: 15px;
    outline: none!important;
    color: white;
}

input::placeholder {
    color: #ffffff52;
}

button {
    background: #5050d3;
    padding: 14px;
    border-radius: 5px;
    color: white;
    padding-left: 20px;
    padding-right: 20px;
    cursor: pointer;
    margin-top: 15px;
    padding-bottom: 12px;
    border: none!important;
}

@media(max-width: 1200px) {
    html, body {
        min-height: 100%;
    }
    body {
        overflow: auto;
    }
    .opened {
        width: 100%!important;
    }
    #section-input,
    #section-output {
        transition: none;
    }
    #section-input.opened {
        height: 350px;
    }
    #section-output.opened {
        height: auto;
        padding: 20px;
        padding-top: 30px;
        padding-bottom: 30px;
    }
    #section-output canvas, 
    #section-output img {
        width: 100%;
    }
}

@media(min-width: 1201px) {
    .opened {
        width: 50vw!important;
    }
    #section-output canvas, 
    #section-output img {
        width: 100%;
    }
}